package com.mortals.xhx.module.customer.model;

import java.util.List;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignStatEntity;
/**
* 客户作品统计查询对象
*
* @author zxfei
* @date 2022-06-08
*/
public class CustomerWorkDesignStatQuery extends CustomerWorkDesignStatEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 客户ID */
    private Long customerIdStart;

    /** 结束 客户ID */
    private Long customerIdEnd;

    /** 增加 客户ID */
    private Long customerIdIncrement;

    /** 客户ID列表 */
    private List <Long> customerIdList;

    /** 开始 客户设计图片数量 */
    private Integer customerDesignPicturesStart;

    /** 结束 客户设计图片数量 */
    private Integer customerDesignPicturesEnd;

    /** 增加 客户设计图片数量 */
    private Integer customerDesignPicturesIncrement;

    /** 客户设计图片数量列表 */
    private List <Integer> customerDesignPicturesList;

    /** 开始 客户设计视频数量 */
    private Integer customerDesignVideosStart;

    /** 结束 客户设计视频数量 */
    private Integer customerDesignVideosEnd;

    /** 增加 客户设计视频数量 */
    private Integer customerDesignVideosIncrement;

    /** 客户设计视频数量列表 */
    private List <Integer> customerDesignVideosList;

    /** 开始 注册时间 */
    private String createTimeStart;

    /** 结束 注册时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CustomerWorkDesignStatQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CustomerWorkDesignStatQuery> andConditionList;

    public CustomerWorkDesignStatQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 客户ID
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 客户ID
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 客户ID
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 客户ID
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 客户ID
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 客户ID
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 客户ID
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 客户ID
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 开始 客户设计图片数量
    * @return customerDesignPicturesStart
    */
    public Integer getCustomerDesignPicturesStart(){
        return this.customerDesignPicturesStart;
    }

    /**
    * 设置 开始 客户设计图片数量
    * @param customerDesignPicturesStart
    */
    public void setCustomerDesignPicturesStart(Integer customerDesignPicturesStart){
        this.customerDesignPicturesStart = customerDesignPicturesStart;
    }

    /**
    * 获取 结束 客户设计图片数量
    * @return $customerDesignPicturesEnd
    */
    public Integer getCustomerDesignPicturesEnd(){
        return this.customerDesignPicturesEnd;
    }

    /**
    * 设置 结束 客户设计图片数量
    * @param customerDesignPicturesEnd
    */
    public void setCustomerDesignPicturesEnd(Integer customerDesignPicturesEnd){
        this.customerDesignPicturesEnd = customerDesignPicturesEnd;
    }

    /**
    * 获取 增加 客户设计图片数量
    * @return customerDesignPicturesIncrement
    */
    public Integer getCustomerDesignPicturesIncrement(){
        return this.customerDesignPicturesIncrement;
    }

    /**
    * 设置 增加 客户设计图片数量
    * @param customerDesignPicturesIncrement
    */
    public void setCustomerDesignPicturesIncrement(Integer customerDesignPicturesIncrement){
        this.customerDesignPicturesIncrement = customerDesignPicturesIncrement;
    }

    /**
    * 获取 客户设计图片数量
    * @return customerDesignPicturesList
    */
    public List<Integer> getCustomerDesignPicturesList(){
        return this.customerDesignPicturesList;
    }

    /**
    * 设置 客户设计图片数量
    * @param customerDesignPicturesList
    */
    public void setCustomerDesignPicturesList(List<Integer> customerDesignPicturesList){
        this.customerDesignPicturesList = customerDesignPicturesList;
    }

    /**
    * 获取 开始 客户设计视频数量
    * @return customerDesignVideosStart
    */
    public Integer getCustomerDesignVideosStart(){
        return this.customerDesignVideosStart;
    }

    /**
    * 设置 开始 客户设计视频数量
    * @param customerDesignVideosStart
    */
    public void setCustomerDesignVideosStart(Integer customerDesignVideosStart){
        this.customerDesignVideosStart = customerDesignVideosStart;
    }

    /**
    * 获取 结束 客户设计视频数量
    * @return $customerDesignVideosEnd
    */
    public Integer getCustomerDesignVideosEnd(){
        return this.customerDesignVideosEnd;
    }

    /**
    * 设置 结束 客户设计视频数量
    * @param customerDesignVideosEnd
    */
    public void setCustomerDesignVideosEnd(Integer customerDesignVideosEnd){
        this.customerDesignVideosEnd = customerDesignVideosEnd;
    }

    /**
    * 获取 增加 客户设计视频数量
    * @return customerDesignVideosIncrement
    */
    public Integer getCustomerDesignVideosIncrement(){
        return this.customerDesignVideosIncrement;
    }

    /**
    * 设置 增加 客户设计视频数量
    * @param customerDesignVideosIncrement
    */
    public void setCustomerDesignVideosIncrement(Integer customerDesignVideosIncrement){
        this.customerDesignVideosIncrement = customerDesignVideosIncrement;
    }

    /**
    * 获取 客户设计视频数量
    * @return customerDesignVideosList
    */
    public List<Integer> getCustomerDesignVideosList(){
        return this.customerDesignVideosList;
    }

    /**
    * 设置 客户设计视频数量
    * @param customerDesignVideosList
    */
    public void setCustomerDesignVideosList(List<Integer> customerDesignVideosList){
        this.customerDesignVideosList = customerDesignVideosList;
    }

    /**
    * 获取 开始 注册时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 注册时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 注册时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 注册时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public CustomerWorkDesignStatQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public CustomerWorkDesignStatQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public CustomerWorkDesignStatQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public CustomerWorkDesignStatQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public CustomerWorkDesignStatQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  客户ID
    * @param customerId
    */
    public CustomerWorkDesignStatQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 客户ID
    * @param customerIdStart
    */
    public CustomerWorkDesignStatQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 客户ID
    * @param customerIdEnd
    */
    public CustomerWorkDesignStatQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 客户ID
    * @param customerIdIncrement
    */
    public CustomerWorkDesignStatQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 客户ID
    * @param customerIdList
    */
    public CustomerWorkDesignStatQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }

    /**
    * 设置  客户设计图片数量
    * @param customerDesignPictures
    */
    public CustomerWorkDesignStatQuery customerDesignPictures(Integer customerDesignPictures){
	    setCustomerDesignPictures(customerDesignPictures);
		return this;
    }
	
	 /**
    * 设置 开始 客户设计图片数量
    * @param customerDesignPicturesStart
    */
    public CustomerWorkDesignStatQuery customerDesignPicturesStart(Integer customerDesignPicturesStart){
		this.customerDesignPicturesStart = customerDesignPicturesStart;
		return this;
    }

    /**
    * 设置 结束 客户设计图片数量
    * @param customerDesignPicturesEnd
    */
    public CustomerWorkDesignStatQuery customerDesignPicturesEnd(Integer customerDesignPicturesEnd){
		this.customerDesignPicturesEnd = customerDesignPicturesEnd;
		return this;
    }

    /**
    * 设置 增加 客户设计图片数量
    * @param customerDesignPicturesIncrement
    */
    public CustomerWorkDesignStatQuery customerDesignPicturesIncrement(Integer customerDesignPicturesIncrement){
		this.customerDesignPicturesIncrement = customerDesignPicturesIncrement;
		return this;
    }

    /**
    * 设置 客户设计图片数量
    * @param customerDesignPicturesList
    */
    public CustomerWorkDesignStatQuery customerDesignPicturesList(List<Integer> customerDesignPicturesList){
        this.customerDesignPicturesList = customerDesignPicturesList;
		return this;
        }

    /**
    * 设置  客户设计视频数量
    * @param customerDesignVideos
    */
    public CustomerWorkDesignStatQuery customerDesignVideos(Integer customerDesignVideos){
	    setCustomerDesignVideos(customerDesignVideos);
		return this;
    }
	
	 /**
    * 设置 开始 客户设计视频数量
    * @param customerDesignVideosStart
    */
    public CustomerWorkDesignStatQuery customerDesignVideosStart(Integer customerDesignVideosStart){
		this.customerDesignVideosStart = customerDesignVideosStart;
		return this;
    }

    /**
    * 设置 结束 客户设计视频数量
    * @param customerDesignVideosEnd
    */
    public CustomerWorkDesignStatQuery customerDesignVideosEnd(Integer customerDesignVideosEnd){
		this.customerDesignVideosEnd = customerDesignVideosEnd;
		return this;
    }

    /**
    * 设置 增加 客户设计视频数量
    * @param customerDesignVideosIncrement
    */
    public CustomerWorkDesignStatQuery customerDesignVideosIncrement(Integer customerDesignVideosIncrement){
		this.customerDesignVideosIncrement = customerDesignVideosIncrement;
		return this;
    }

    /**
    * 设置 客户设计视频数量
    * @param customerDesignVideosList
    */
    public CustomerWorkDesignStatQuery customerDesignVideosList(List<Integer> customerDesignVideosList){
        this.customerDesignVideosList = customerDesignVideosList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CustomerWorkDesignStatQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CustomerWorkDesignStatQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CustomerWorkDesignStatQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CustomerWorkDesignStatQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}