package com.mortals.xhx.module.masterplate.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.masterplate.model.vo.MasterplateUseInfoVo;
/**
* 模版使用信息实体对象
*
* @author zxfei
* @date 2022-06-08
*/

public class MasterplateUseInfoEntity extends MasterplateUseInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 模版ID
    */
    private Long masterplateId;
    /**
    * 使用人ID
    */
    private Long customerId;
    /**
    * 使用人
    */
    private String customerName;
    /**
    * 使用人电话
    */
    private String customerTelphone;
    /**
    * 使用人单位
    */
    private String customerOrganization;



    public MasterplateUseInfoEntity(){}
    /**
    * 获取 模版ID
    * @return Long
    */
    public Long getMasterplateId(){
        return masterplateId;
    }
    /**
    * 设置 模版ID
    * @param masterplateId
    */
    public void setMasterplateId(Long masterplateId){
        this.masterplateId = masterplateId;
    }
    /**
    * 获取 使用人ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 使用人ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 使用人
    * @return String
    */
    public String getCustomerName(){
        return customerName;
    }
    /**
    * 设置 使用人
    * @param customerName
    */
    public void setCustomerName(String customerName){
        this.customerName = customerName;
    }
    /**
    * 获取 使用人电话
    * @return String
    */
    public String getCustomerTelphone(){
        return customerTelphone;
    }
    /**
    * 设置 使用人电话
    * @param customerTelphone
    */
    public void setCustomerTelphone(String customerTelphone){
        this.customerTelphone = customerTelphone;
    }
    /**
    * 获取 使用人单位
    * @return String
    */
    public String getCustomerOrganization(){
        return customerOrganization;
    }
    /**
    * 设置 使用人单位
    * @param customerOrganization
    */
    public void setCustomerOrganization(String customerOrganization){
        this.customerOrganization = customerOrganization;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MasterplateUseInfoEntity) {
            MasterplateUseInfoEntity tmp = (MasterplateUseInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",masterplateId:").append(getMasterplateId());
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",customerName:").append(getCustomerName());
        sb.append(",customerTelphone:").append(getCustomerTelphone());
        sb.append(",customerOrganization:").append(getCustomerOrganization());
        return sb.toString();
    }

    public void initAttrValue(){

            this.masterplateId = null;

            this.customerId = null;

            this.customerName = "";

            this.customerTelphone = "";

            this.customerOrganization = "";
    }
}