package com.mortals.xhx.module.help.model;

import com.mortals.xhx.module.help.model.vo.HelpVo;
/**
* 帮助信息实体对象
*
* @author zxfei
* @date 2022-06-29
*/

public class HelpEntity extends HelpVo {
    private static final long serialVersionUID = 1L;

    /**
    * 排序号
    */
    private Integer sortNum;
    /**
    * 问题标题
    */
    private String title;
    /**
    * 问题内容
    */
    private String content;
    /**
    * 问题回复
    */
    private String answerContent;
    /**
    * 问题类型备用字段
    */
    private Integer questionType;
    /**
    * 状态备用字段
    */
    private Integer status;
    /**
    * 有用统计
    */
    private Integer useful;
    /**
    * 无用统计
    */
    private Integer useless;
    /**
    * 创建用户名称
    */
    private String createUserName;
    /**
    * 修改用户名称
    */
    private String updateUserName;



    public HelpEntity(){}
    /**
    * 获取 排序号
    * @return Integer
    */
    public Integer getSortNum(){
        return sortNum;
    }
    /**
    * 设置 排序号
    * @param sortNum
    */
    public void setSortNum(Integer sortNum){
        this.sortNum = sortNum;
    }
    /**
    * 获取 问题标题
    * @return String
    */
    public String getTitle(){
        return title;
    }
    /**
    * 设置 问题标题
    * @param title
    */
    public void setTitle(String title){
        this.title = title;
    }
    /**
    * 获取 问题内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 问题内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }
    /**
    * 获取 问题回复
    * @return String
    */
    public String getAnswerContent(){
        return answerContent;
    }
    /**
    * 设置 问题回复
    * @param answerContent
    */
    public void setAnswerContent(String answerContent){
        this.answerContent = answerContent;
    }
    /**
    * 获取 问题类型备用字段
    * @return Integer
    */
    public Integer getQuestionType(){
        return questionType;
    }
    /**
    * 设置 问题类型备用字段
    * @param questionType
    */
    public void setQuestionType(Integer questionType){
        this.questionType = questionType;
    }
    /**
    * 获取 状态备用字段
    * @return Integer
    */
    public Integer getStatus(){
        return status;
    }
    /**
    * 设置 状态备用字段
    * @param status
    */
    public void setStatus(Integer status){
        this.status = status;
    }
    /**
    * 获取 有用统计
    * @return Integer
    */
    public Integer getUseful(){
        return useful;
    }
    /**
    * 设置 有用统计
    * @param useful
    */
    public void setUseful(Integer useful){
        this.useful = useful;
    }
    /**
    * 获取 无用统计
    * @return Integer
    */
    public Integer getUseless(){
        return useless;
    }
    /**
    * 设置 无用统计
    * @param useless
    */
    public void setUseless(Integer useless){
        this.useless = useless;
    }
    /**
    * 获取 创建用户名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }
    /**
    * 获取 修改用户名称
    * @return String
    */
    public String getUpdateUserName(){
        return updateUserName;
    }
    /**
    * 设置 修改用户名称
    * @param updateUserName
    */
    public void setUpdateUserName(String updateUserName){
        this.updateUserName = updateUserName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof HelpEntity) {
            HelpEntity tmp = (HelpEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",sortNum:").append(getSortNum());
        sb.append(",title:").append(getTitle());
        sb.append(",content:").append(getContent());
        sb.append(",answerContent:").append(getAnswerContent());
        sb.append(",questionType:").append(getQuestionType());
        sb.append(",status:").append(getStatus());
        sb.append(",useful:").append(getUseful());
        sb.append(",useless:").append(getUseless());
        sb.append(",createUserName:").append(getCreateUserName());
        sb.append(",updateUserName:").append(getUpdateUserName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.sortNum = null;

            this.title = "";

            this.content = "";

            this.answerContent = "";

            this.questionType = null;

            this.status = null;

            this.useful = 0;

            this.useless = 0;

            this.createUserName = "";

            this.updateUserName = "";
    }
}